%define version 1.3.0
%define astver 1.4.23.1

Summary: Software modem for interfacing Asterisk and Hylafax via IAX2
Name: iaxmodem
Version: %{version}
Release: 0%{?dist}
License: GPL
Group: Applications/Communications
Packager : Django <django@mailserver.guru>
Distribution: CentOS 7
Vendor: Lee Howard <faxguy@howardsilvan.com>
Source0: http://prdownloads.sourceforge.net/iaxmodem/iaxmodem-%{version}.tar.gz
Patch0: iaxmodem-1.3.0-flattened-fast_modems.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires: gcc-c++
BuildRequires: libtiff-devel
BuildRequires: spandsp-devel >= 0.0.6
#Requires: asterisk >= %{astver}

%description
IAXmodem is a software modem written in C that uses an IAX channel
(commonly provided by an Asterisk PBX system) instead of a traditional
phone line and uses a DSP library instead of DSP hardware chipsets.

To accomplish this, then, IAXmodem interfaces an IAX library known as
libiax2 with a DSP library known as spandsp, and then IAXmodem interfaces
the DSP library with a tty device node for interfacing with modem
applications.

%prep
%setup
%patch0 -p1
rm -r lib/spandsp

%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

pushd lib/libiax2
%configure --disable-shared
%{__make} %{?_smp_mflags}
popd

# set the variables
MODEMVER=iaxmodem-%{version}
DSPVER=`rpm -q --queryformat '%{NAME}-%{VERSION}' spandsp`
IAXVER=`grep -F '["VERSION"]' lib/libiax2/config.status | sed 's/^.*="\(.*\)"/\1/'`
if [ -n "$IAXVER" ]; then
    IAXVER="libiax2-$IAXVER-CVS-20060222+"
fi

# build a static version of iaxmodem
gcc $RPM_OPT_FLAGS -Wall -g -DMODEMVER=\"$MODEMVER\" -DDSPVER=\"$DSPVER\" -DIAXVER=\"$IAXVER\" -DSTATICLIBS -D_GNU_SOURCE -std=c99 -Ilib/libiax2/src -c -o iaxmodem.o iaxmodem.c
#-Ilib/spandsp/src
#" <- just here to keep the vi syntax highlighting sane
gcc -lm -lutil -ltiff -lspandsp -o iaxmodem iaxmodem.o lib/libiax2/src/.libs/libiax.a
# lib/spandsp/src/.libs/libspandsp.a 

%install
# install the bunch manually
%{__install} -D -m 755 iaxmodem %{buildroot}%{_sbindir}/iaxmodem
%{__install} -D -m 644 iaxmodem.1 %{buildroot}%{_mandir}/man1/iaxmodem.1
%{__install} -D -m 660 config.ttyIAX %{buildroot}%{_localstatedir}/spool/hylafax/etc/#sample.config.ttyIAX
%{__install} -D -m 644 iaxmodem-cfg.ttyIAX %{buildroot}%{_sysconfdir}/iaxmodem/#sample.iaxmodem-cfg.ttyIAX
perl -pi -e 's,/usr/local/,/usr/,g' iaxmodem.init.fedora
%{__install} -D -m 755 iaxmodem.init.fedora %{buildroot}%{_initrddir}/iaxmodem

%post
# Remove incorrectly named sample files
rm -f /etc/iaxmodem/~iaxmodem-cfg.ttyIAX
rm -f /var/spool/hylafax/etc/~config.ttyIAX

%clean
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES FAQ README TODO
%attr(750,root,root)				%{_sbindir}/iaxmodem
%attr(0644,root,root)					%{_mandir}/man1/iaxmodem.1.gz
%attr(0660,root,asterisk)	%config(noreplace)	%{_localstatedir}/spool/hylafax/etc/#sample.config.ttyIAX
%attr(0660,root,asterisk)	%config(noreplace)	%{_sysconfdir}/iaxmodem/#sample.iaxmodem-cfg.ttyIAX
%attr(0755,root,root)					%{_initrddir}/iaxmodem

%changelog
* Tue Jan 17 2017 Django <django@mailserver.guru> - 1.3.0-0
- Initial relkease for CentOS 7
